# Local Behat configuration file.
#
# See the testing section of the [README.md](README.md) to learn how to use this file.
default:
  suites:
    default:
      contexts:
        - VarnishPurgeFeatureContext
        - Drupal\DrupalExtension\Context\DrupalContext
        - Drupal\DrupalExtension\Context\MinkContext
        - Drupal\DrupalExtension\Context\MessageContext
  extensions:
    Behat\MinkExtension:
      goutte: ~
      selenium2:
        wd_host: http://MY-IP-ADDRESS:4444/wd/hub
      base_url: http://localhost:8080
      browser_name: 'chrome'
    Drupal\DrupalExtension:
      blackbox: ~
      api_driver: 'drupal'
      drush:
        alias: 'local'
      drupal:
        drupal_root: '/var/www/docroot'
      region_map:
        footer: "#footer"
      selectors:
        message_selector: '.messages'
        error_message_selector: '.messages.messages--error'
        success_message_selector: '.messages.messages--status'
